Installing through apt-server and having unmet dependencies

I’m trying to follow Quickstart Guide — DeepStream 5.1 Release documentation using " Method 4: Using the apt-server", but during the last step it fails:

luiz@nvidia:~/librdkafka$ sudo apt install deepstream-5.1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 deepstream-5.1 : Depends: libnvinfer7 (>= 7.1.0) but it is not installable
                  Depends: libnvparsers7 (>= 7.1.0) but it is not installable
                  Depends: libnvonnxparsers7 (>= 7.1.0) but it is not installable
                  Depends: libnvinfer-plugin7 (>= 7.1.0) but it is not installable
E: Unable to correct problems, you have held broken packages.

• Hardware Platform (Jetson / GPU)
Jetson Xavier NX
• DeepStream Version
5.1
• JetPack Version (valid for Jetson only)
4.6
• TensorRT Version
4.6-b199
• NVIDIA GPU Driver Version (valid for GPU only)
• Issue Type( questions, new requirements, bugs)
• How to reproduce the issue ? (This is for bugs. Including which sample app is using, the configuration files content, the command line used and other details for reproducing)
• Requirement details( This is for new requirement. Including the module name-for which plugin or for which sample application, the function description)

I was able to install it by following this answer: Jetpack 4.6 and Deepstream 5.1 install issues - #2 by kirushyk
Please Nvidia, update the docs with the information provided:

deb https://repo.download.nvidia.com/jetson/common r32.5 main
#deb https://repo.download.nvidia.com/jetson/common r32.6 main
deb https://repo.download.nvidia.com/jetson/t194 r32.5 main
#deb https://repo.download.nvidia.com/jetson/t194 r32.6 main

Thanks for the update, will forward this requirement to internal doc team.

Thanks